package com.gree.mall.manager.bean.settle;

import com.gree.mall.manager.annotation.ZfireField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class SettlementWorkerOrderVO {


    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;


    @ApiModelProperty(value = "工程师编号")
    private String workerNumber;

    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ZfireField(tbName = "b",isQuery = false)
    @ApiModelProperty(value = "数量")
    private BigDecimal allNum;

    @ZfireField(tbName = "b",isQuery = false)
    @ApiModelProperty(value = "汇总金额")
    private BigDecimal allTotalAmount;


}
